> For the complete documentation index, see [llms.txt](https://docs.stacksync.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stacksync.com/two-way-sync/api-proxy/attio.md).

# Attio

The simplest Attio API you have ever seen!

## TL;DR

This API proxy lets you do any operation on your Attio data but removes from you all the complexity of setting up and using the classic Attio API 🤩

**No need to worry** about ~~setting up a connected app~~, ~~rotating the security token~~, ~~using bulk API or not~~, ~~record formatting~~ and more! Everything is managed for you 💆‍♀️

Operations:

* [Pass Through](#pass-through)

### Regions 🌍

Depending on your region, you can use

🇪🇺 `https://eu.api-proxy.stacksync.com/`

🇺🇸 `https://us.api-proxy.stacksync.com/`

## Pass Through

Make a request to any Attio API which supports OAuth by providing the URL, Request Method and the Request Body.

A request will be sent to the URL provided using the request method and request body. The request body can be empty.

```
curl -X [GET | POST | PUT | PATCH | DELETE] 
https://eu.api-proxy.stacksync.com/v1/proxy/INSERT_REQUEST_URL_HERE \
-H "Authorization: Bearer your_api_proxy_service_token" \
-d 'Optional'
```

Example request:

**Get Attio Objects**

{% tabs %}
{% tab title="cURL" %}

```url
curl -X GET https://eu.api-proxy.stacksync.com/v1/proxy/https://api.attio.com/v2/objects \
        -H "Authorization: Bearer your_api_proxy_service_token" \
```

{% endtab %}
{% endtabs %}

Example response:

```json
{
	"data": [
		{
			"api_slug": "subscriptions",
			"created_at": "2024-07-27T16:08:23.773000000Z",
			"id": {
				"object_id": "fdfcc8f8-8c1e-4ad0-b20e-1b4930b8a1cb",
				"workspace_id": "0d9fb69e-fa23-46c7-8816-8fa0d32ee4e2"
			},
			"plural_noun": "Subscriptions",
			"singular_noun": "Subscription"
		},
		{
			"api_slug": "people",
			"created_at": "2024-07-22T17:54:44.560000000Z",
			"id": {
				"object_id": "5bef7430-3f17-40d7-b88c-02bcbcb658ca",
				"workspace_id": "25d9671a-b1f1-48d8-81a2-6a214e8b04bd"
			},
			"plural_noun": "People",
			"singular_noun": "Person"
		}
}
```
